
function [yiEns, yiModels] = EnsemblePLSAdaBoostLog(Model, xi)

  yiModels = zeros(size(xi,1),size(Model,2));
  sum1 = 0;
  sum2 = 0;
  for m = 1:size(Model,2)
    scxtest = scale(xi,Model(m).mxcal);             %center test X-block
    yiModels(:,m)  = rescale(scxtest*Model(m).bpls(Model(m).lt,:)',Model(m).mycal);  %project and rescale predictions
    sum1 = sum1 + yiModels(:,m) * log(1/Model(m).B);
    sum2 = sum2 + log(1/Model(m).B);
  end  
  
  yiEns = sum1 / sum2;
end


